<?xml version="1.0" encoding="utf-8"?>
<openbox_menu xmlns="http://openbox.org/3.4/menu">
  <menu id="applications-menu" label="applications" execute="/usr/libexec/openbox-xdg-menu applications"/>
  <menu id="preferences-menu" label="preferences" execute="/usr/libexec/openbox-xdg-menu preferences"/>
  <menu id="administration-menu" label="administration" execute="/usr/libexec/openbox-xdg-menu system-settings"/>
  <menu id="terminals-menu" label="terminals" execute="/usr/libexec/openbox-xdg-menu /etc/xdg/openbox/terminals"/>
  <menu id="root-menu" label="Openbox 3">
    <separator label="fedora"/>
    <!-- menus miraculously stopped breaking Nov 5th 2018 :D-->
    <item label="gnterm">
      <action name="Execute">
        <execute>gnome-terminal</execute>
      </action>
    </item>
    <item label="xterm">
      <action name="Execute">
        <execute>xterm -bg black -fg white +sb</execute>
      </action>
    </item>
    <item label="lxtask">
      <action name="Execute">
        <execute>lxtask</execute>
      </action>
    </item>
    <item label="htop">
      <action name="Execute">
        <execute>qterminal -e htop</execute>
      </action>
    </item>
    <item label="nemo">
      <action name="Execute">
        <execute>nemo</execute>
      </action>
    </item>
    <item label="nautilus">
      <action name="Execute">
        <execute>nautilus</execute>
      </action>
    </item>
    <item label="journal">
      <action name="Execute">
        <execute>gnome-terminal -- journalctl -xe</execute>
      </action>
    </item>
    <item label="pulse">
      <action name="Execute">
        <execute>pavucontrol</execute>
      </action>
    </item>
    <item label="xkill">
      <action name="Execute">
        <execute>xkill</execute>
      </action>
    </item>
    <item label="run">
      <action name="Execute">
        <execute>gmrun</execute>
      </action>
    </item>
    <item label="vim">
      <action name="Execute">
        <command>gnome-terminal -- vimx</command>
      </action>
    </item>
    <separator/>
    <menu id="MiscMenu" label="misc">
      <menu id="screenshot" label="screenshot">
        <item label="screenshot now">
          <action name="Execute">
            <command>scrot 'Screenshot_from_%Y-%m-%dT%H-%M-%S.png' -e 'mv $f $$(xdg-user-dir PICTURES) ; gpicview $$(xdg-user-dir PICTURES)/$f'</command>
          </action>
        </item>
        <item label="screenshot in 5">
          <action name="Execute">
            <command>scrot -d 5 'Screenshot_from_%Y-%m-%dT%H-%M-%S.png' -e 'mv $f $$(xdg-user-dir PICTURES) ; gpicview $$(xdg-user-dir PICTURES)/$f'</command>
          </action>
        </item>
        <item label="screenshot in 10">
          <action name="Execute">
            <command>scrot -d 10 'Screenshot_from_%Y-%m-%dT%H-%M-%S.png' -e 'mv $f $$(xdg-user-dir PICTURES) ; gpicview $$(xdg-user-dir PICTURES)/$f'</command>
          </action>
        </item>
        <item label="screenshot with selection">
          <action name="Execute">
            <command>scrot -s 'Screenshot_from_%Y-%m-%dT%H-%M-%S.png' -e 'mv $f $$(xdg-user-dir PICTURES) ; gpicview $$(xdg-user-dir PICTURES)/$f'</command>
          </action>
        </item>
      </menu>
    </menu>
    <menu id="obtools" label="obtools">
      <menu id="obConf" label="openbox">
        <item label="obconf">
          <action name="Execute">
            <command>obconf</command>
          </action>
        </item>
        <item label="obmenu">
          <action name="Execute">
            <command>sudo obmenu</command>
          </action>
        </item>
        <separator/>
        <item label="edit menu.xml">
          <action name="Execute">
            <command>gnome-terminal -- vimx ~/.config/openbox/menu.xml</command>
          </action>
        </item>
        <item label="edit rc.xml">
          <action name="Execute">
            <command>gnome-terminal -- vimx ~/.config/openbox/rc.xml</command>
          </action>
        </item>
        <item label="edit autostart">
          <action name="Execute">
            <command>gnome-terminal -- vimx ~/.config/openbox/autostart</command>
          </action>
        </item>
        <item label="edit helper">
          <action name="Execute">
            <command>gnome-terminal -- vimx ~/.config/openbox/helper.sh</command>
          </action>
        </item>
        <separator/>
        <item label="obox reconfigure">
          <action name="Reconfigure"/>
        </item>
        <item label="obox restart">
          <action name="Restart"/>
        </item>
      </menu>
      <menu id="compton" label="compton">
        <item label="edit compton.conf">
          <action name="Execute">
            <command>gnome-terminal -- vimx ~/.config/compton.conf</command>
          </action>
        </item>
      </menu>
      <menu id="conky" label="conky">
        <item label="edit conky.lua">
          <action name="Execute">
            <command>gnome-terminal -- vimx ~/.conky/conky.lua</command>
          </action>
        </item>
        <item label="edit conkyrc">
          <action name="Execute">
            <command>gnome-terminal -- vimx ~/.conky/conkyrc</command>
          </action>
        </item>
        <separator/>
        <item label="start conky">
          <action name="Execute">
            <command>conky -c ~/.conky/conky.lua</command>
          </action>
        </item>
        <item label="stop conky">
          <action name="Execute">
            <command>pkill -9 conky</command>
          </action>
        </item>
      </menu>
      <menu id="tint2" label="tint2">
        <item label="tint2conf">
          <action name="Execute">
            <command>tint2conf</command>
          </action>
        </item>
      </menu>
      <separator/>
      <item label="nitrogen">
        <action name="Execute">
          <command>nitrogen</command>
        </action>
      </item>
      <item label="lxappearance">
        <action name="Execute">
          <command>lxappearance</command>
        </action>
      </item>
      <item label="lxinput">
        <action name="Execute">
          <command>lxinput</command>
        </action>
      </item>
    </menu>
    <!-- virtualbox menu -->
    <menu id="vbox" label="virtualbox">
      <!-- fedora dotnet -->
      <menu id="vm4" label="fedora dotnet">
        <item label="start">
          <action name="Execute">
            <command>vboxmanage startvm 2438d647-0ae5-4cb2-998d-26101c9c60c3</command>
          </action>
        </item>
        <item label="start headless">
          <action name="Execute">
            <command>vboxheadless -s 2438d647-0ae5-4cb2-998d-26101c9c60c3</command>
          </action>
        </item>
        <item label="pause">
          <action name="Execute">
            <command>vboxmanage controlvm 2438d647-0ae5-4cb2-998d-26101c9c60c3 pause</command>
          </action>
        </item>
        <item label="save state">
          <action name="Execute">
            <command>vboxmanage controlvm 2438d647-0ae5-4cb2-998d-26101c9c60c3 savestate</command>
          </action>
        </item>
        <item label="restart">
          <action name="Execute">
            <command>vboxmanage controlvm 2438d647-0ae5-4cb2-998d-26101c9c60c3 reset</command>
          </action>
        </item>
        <item label="poweroff">
          <action name="Execute">
            <command>vboxmanage controlvm 2438d647-0ae5-4cb2-998d-26101c9c60c3 poweroff</command>
          </action>
        </item>
        <item label="info">
          <action name="Execute">
            <command>xterm -e 'vboxmanage showvminfo 2438d647-0ae5-4cb2-998d-26101c9c60c3; echo "press enter to exit"; read'</command>
          </action>
        </item>
      </menu>
      <!-- fedora sql thirty -->
      <menu id="vm5" label="fedora sql thirty">
        <item label="start">
          <action name="Execute">
            <command>vboxmanage startvm ed010826-672e-4a9a-88fd-fbf0e3cb9fa6</command>
          </action>
        </item>
        <item label="start headless">
          <action name="Execute">
            <command>vboxheadless -s ed010826-672e-4a9a-88fd-fbf0e3cb9fa6</command>
          </action>
        </item>
        <item label="pause">
          <action name="Execute">
            <command>vboxmanage controlvm ed010826-672e-4a9a-88fd-fbf0e3cb9fa6 pause</command>
          </action>
        </item>
        <item label="save state">
          <action name="Execute">
            <command>vboxmanage controlvm ed010826-672e-4a9a-88fd-fbf0e3cb9fa6 savestate</command>
          </action>
        </item>
        <item label="restart">
          <action name="Execute">
            <command>vboxmanage controlvm ed010826-672e-4a9a-88fd-fbf0e3cb9fa6 reset</command>
          </action>
        </item>
        <item label="poweroff">
          <action name="Execute">
            <command>vboxmanage controlvm ed010826-672e-4a9a-88fd-fbf0e3cb9fa6 poweroff</command>
          </action>
        </item>
        <item label="info">
          <action name="Execute">
            <command>xterm -e 'vboxmanage showvminfo ed010826-672e-4a9a-88fd-fbf0e3cb9fa6; echo "press enter to exit"; read'</command>
          </action>
        </item>
      </menu>
      <!-- debian -->
      <menu id="vm1" label="debian">
        <item label="start">
          <action name="Execute">
            <command>vboxmanage startvm 45d90ec7-2033-40e7-8712-fc8cc780f53c</command>
          </action>
        </item>
        <item label="start headless">
          <action name="Execute">
            <command>vboxheadless -s 45d90ec7-2033-40e7-8712-fc8cc780f53c</command>
          </action>
        </item>
        <item label="pause">
          <action name="Execute">
            <command>vboxmanage controlvm 45d90ec7-2033-40e7-8712-fc8cc780f53c pause</command>
          </action>
        </item>
        <item label="save state">
          <action name="Execute">
            <command>vboxmanage controlvm 45d90ec7-2033-40e7-8712-fc8cc780f53c savestate</command>
          </action>
        </item>
        <item label="restart">
          <action name="Execute">
            <command>vboxmanage controlvm 45d90ec7-2033-40e7-8712-fc8cc780f53c reset</command>
          </action>
        </item>
        <item label="poweroff">
          <action name="Execute">
            <command>vboxmanage controlvm 45d90ec7-2033-40e7-8712-fc8cc780f53c poweroff</command>
          </action>
        </item>
        <item label="info">
          <action name="Execute">
            <command>xterm -e 'vboxmanage showvminfo 45d90ec7-2033-40e7-8712-fc8cc780f53c; echo "press enter to exit"; read'</command>
          </action>
        </item>
      </menu>
      <!-- debian pi-hole -->
      <menu id="vm3" label="debian pi-hole">
        <item label="start">
          <action name="Execute">
            <command>vboxmanage startvm 587ca3d9-c8ff-47ab-b27a-d4229484c690</command>
          </action>
        </item>
        <item label="start headless">
          <action name="Execute">
            <command>vboxheadless -s 587ca3d9-c8ff-47ab-b27a-d4229484c690</command>
          </action>
        </item>
        <item label="pause">
          <action name="Execute">
            <command>vboxmanage controlvm 587ca3d9-c8ff-47ab-b27a-d4229484c690 pause</command>
          </action>
        </item>
        <item label="save state">
          <action name="Execute">
            <command>vboxmanage controlvm 587ca3d9-c8ff-47ab-b27a-d4229484c690 savestate</command>
          </action>
        </item>
        <item label="restart">
          <action name="Execute">
            <command>vboxmanage controlvm 587ca3d9-c8ff-47ab-b27a-d4229484c690 reset</command>
          </action>
        </item>
        <item label="poweroff">
          <action name="Execute">
            <command>vboxmanage controlvm 587ca3d9-c8ff-47ab-b27a-d4229484c690 poweroff</command>
          </action>
        </item>
        <item label="info">
          <action name="Execute">
            <command>xterm -e 'vboxmanage showvminfo 587ca3d9-c8ff-47ab-b27a-d4229484c690; echo "press enter to exit"; read'</command>
          </action>
        </item>
      </menu>
      <!-- kali xfce -->
      <menu id="vm2" label="kali">
        <item label="start">
          <action name="Execute">
            <command>vboxmanage startvm 9a9e6ddf-e92c-423f-b5d5-51f591c43b06</command>
          </action>
        </item>
        <item label="start headless">
          <action name="Execute">
            <command>vboxheadless -s 9a9e6ddf-e92c-423f-b5d5-51f591c43b06</command>
          </action>
        </item>
        <item label="pause">
          <action name="Execute">
            <command>vboxmanage controlvm 9a9e6ddf-e92c-423f-b5d5-51f591c43b06 pause</command>
          </action>
        </item>
        <item label="save state">
          <action name="Execute">
            <command>vboxmanage controlvm 9a9e6ddf-e92c-423f-b5d5-51f591c43b06 savestate</command>
          </action>
        </item>
        <item label="restart">
          <action name="Execute">
            <command>vboxmanage controlvm 9a9e6ddf-e92c-423f-b5d5-51f591c43b06 reset</command>
          </action>
        </item>
        <item label="poweroff">
          <action name="Execute">
            <command>vboxmanage controlvm 9a9e6ddf-e92c-423f-b5d5-51f591c43b06 poweroff</command>
          </action>
        </item>
        <item label="info">
          <action name="Execute">
            <command>xterm -e 'vboxmanage showvminfo 9a9e6ddf-e92c-423f-b5d5-51f591c43b06; echo "press enter to exit"; read'</command>
          </action>
        </item>
      </menu>
      <!-- archlinux -->
      <menu id="vm9001" label="arch">
        <item label="start">
          <action name="Execute">
            <command>vboxmanage startvm cbe4192d-7e66-49e9-b1a2-683fcd39538e</command>
          </action>
        </item>
        <item label="start headless">
          <action name="Execute">
            <command>vboxheadless -s cbe4192d-7e66-49e9-b1a2-683fcd39538e</command>
          </action>
        </item>
        <item label="pause">
          <action name="Execute">
            <command>vboxmanage controlvm cbe4192d-7e66-49e9-b1a2-683fcd39538e pause</command>
          </action>
        </item>
        <item label="save state">
          <action name="Execute">
            <command>vboxmanage controlvm cbe4192d-7e66-49e9-b1a2-683fcd39538e savestate</command>
          </action>
        </item>
        <item label="restart">
          <action name="Execute">
            <command>vboxmanage controlvm cbe4192d-7e66-49e9-b1a2-683fcd39538e reset</command>
          </action>
        </item>
        <item label="poweroff">
          <action name="Execute">
            <command>vboxmanage controlvm cbe4192d-7e66-49e9-b1a2-683fcd39538e poweroff</command>
          </action>
        </item>
        <item label="info">
          <action name="Execute">
            <command>xterm -e 'vboxmanage showvminfo cbe4192d-7e66-49e9-b1a2-683fcd39538e; echo "press enter to exit"; read'</command>
          </action>
        </item>
      </menu>
      <!-- archlabs -->
      <menu id="vm8" label="archlabs">
        <item label="start">
          <action name="Execute">
            <command>vboxmanage startvm 8f4776b9-d5d7-4fd0-8353-b46f0e2a3781</command>
          </action>
        </item>
        <item label="start headless">
          <action name="Execute">
            <command>vboxheadless -s 8f4776b9-d5d7-4fd0-8353-b46f0e2a3781</command>
          </action>
        </item>
        <item label="pause">
          <action name="Execute">
            <command>vboxmanage controlvm 8f4776b9-d5d7-4fd0-8353-b46f0e2a3781 pause</command>
          </action>
        </item>
        <item label="save state">
          <action name="Execute">
            <command>vboxmanage controlvm 8f4776b9-d5d7-4fd0-8353-b46f0e2a3781 savestate</command>
          </action>
        </item>
        <item label="restart">
          <action name="Execute">
            <command>vboxmanage controlvm 8f4776b9-d5d7-4fd0-8353-b46f0e2a3781 reset</command>
          </action>
        </item>
        <item label="poweroff">
          <action name="Execute">
            <command>vboxmanage controlvm 8f4776b9-d5d7-4fd0-8353-b46f0e2a3781 poweroff</command>
          </action>
        </item>
        <item label="info">
          <action name="Execute">
            <command>xterm -e 'vboxmanage showvminfo 8f4776b9-d5d7-4fd0-8353-b46f0e2a3781; echo "press enter to exit"; read'</command>
          </action>
        </item>
      </menu>
      <!-- freebsd -->
      <menu id="vm7" label="freebsd">
        <item label="start">
          <action name="Execute">
            <command>vboxmanage startvm 05893c08-fdcf-4443-b8b0-83f17ff3ad11</command>
          </action>
        </item>
        <item label="start headless">
          <action name="Execute">
            <command>vboxheadless -s 05893c08-fdcf-4443-b8b0-83f17ff3ad11</command>
          </action>
        </item>
        <item label="pause">
          <action name="Execute">
            <command>vboxmanage controlvm 05893c08-fdcf-4443-b8b0-83f17ff3ad11 pause</command>
          </action>
        </item>
        <item label="save state">
          <action name="Execute">
            <command>vboxmanage controlvm 05893c08-fdcf-4443-b8b0-83f17ff3ad11 savestate</command>
          </action>
        </item>
        <item label="restart">
          <action name="Execute">
            <command>vboxmanage controlvm 05893c08-fdcf-4443-b8b0-83f17ff3ad11 reset</command>
          </action>
        </item>
        <item label="poweroff">
          <action name="Execute">
            <command>vboxmanage controlvm 05893c08-fdcf-4443-b8b0-83f17ff3ad11 poweroff</command>
          </action>
        </item>
        <item label="info">
          <action name="Execute">
            <command>xterm -e 'vboxmanage showvminfo 05893c08-fdcf-4443-b8b0-83f17ff3ad11; echo "press enter to exit"; read'</command>
          </action>
        </item>
      </menu>
      <!-- freeDOS -->
      <menu id="vm6432" label="freeDOS">
        <item label="start">
          <action name="Execute">
            <command>vboxmanage startvm ffc54e08-7f70-4db4-b00a-2399fcf09676</command>
          </action>
        </item>
        <item label="start headless">
          <action name="Execute">
            <command>vboxheadless -s ffc54e08-7f70-4db4-b00a-2399fcf09676</command>
          </action>
        </item>
        <item label="pause">
          <action name="Execute">
            <command>vboxmanage controlvm ffc54e08-7f70-4db4-b00a-2399fcf09676 pause</command>
          </action>
        </item>
        <item label="save state">
          <action name="Execute">
            <command>vboxmanage controlvm ffc54e08-7f70-4db4-b00a-2399fcf09676 savestate</command>
          </action>
        </item>
        <item label="restart">
          <action name="Execute">
            <command>vboxmanage controlvm ffc54e08-7f70-4db4-b00a-2399fcf09676 reset</command>
          </action>
        </item>
        <item label="poweroff">
          <action name="Execute">
            <command>vboxmanage controlvm ffc54e08-7f70-4db4-b00a-2399fcf09676 poweroff</command>
          </action>
        </item>
        <item label="info">
          <action name="Execute">
            <command>xterm -e 'vboxmanage showvminfo ffc54e08-7f70-4db4-b00a-2399fcf09676; echo "press enter to exit"; read'</command>
          </action>
        </item>
      </menu>
      <!-- we-all-know-what $hit -->
      <menu id="vm9" label="window$">
        <item label="start">
          <action name="Execute">
            <command>vboxmanage startvm 644bb9c8-6757-4809-bf4b-b7bac03b36db</command>
          </action>
        </item>
        <item label="start headless">
          <action name="Execute">
            <command>vboxheadless -s 644bb9c8-6757-4809-bf4b-b7bac03b36db</command>
          </action>
        </item>
        <item label="pause">
          <action name="Execute">
            <command>vboxmanage controlvm 644bb9c8-6757-4809-bf4b-b7bac03b36db pause</command>
          </action>
        </item>
        <item label="save state">
          <action name="Execute">
            <command>vboxmanage controlvm 644bb9c8-6757-4809-bf4b-b7bac03b36db savestate</command>
          </action>
        </item>
        <item label="restart">
          <action name="Execute">
            <command>vboxmanage controlvm 644bb9c8-6757-4809-bf4b-b7bac03b36db reset</command>
          </action>
        </item>
        <item label="poweroff">
          <action name="Execute">
            <command>vboxmanage controlvm 644bb9c8-6757-4809-bf4b-b7bac03b36db poweroff</command>
          </action>
        </item>
        <item label="info">
          <action name="Execute">
            <command>xterm -e 'vboxmanage showvminfo 644bb9c8-6757-4809-bf4b-b7bac03b36db; echo "press enter to exit"; read'</command>
          </action>
        </item>
      </menu>
      <separator/>
      <item id="list" label="list vms">
        <action name="Execute">
          <command>xterm -e 'vboxmanage list vms; echo "press enter to exit"; read'</command>
        </action>
      </item>
      <item id="app" label="gui">
        <action name="Execute">
          <command>virtualbox</command>
        </action>
      </item>
    </menu>
    <separator/>
    <menu id="terminals-menu"/>
    <menu id="applications-menu"/>
    <menu id="preferences-menu"/>
    <menu id="administration-menu"/>
    <!-- main menus miraculously stopped breaking Nov 5th 2018 :D -->
    <separator/>
    <item label="lock">
      <action name="Execute">
        <execute>.config/openbox/locker.sh -f</execute>
      </action>
    </item>
    <menu id="leave-menu" label="sys">
      <item label="log out">
        <action name="SessionLogout">
          <prompt>yes</prompt>
        </action>
      </item>
      <item label="suspend">
        <action name="Execute">
          <execute>.config/openbox/locker-suspend.sh -f</execute>
        </action>
      </item>
      <item label="hibernate">
        <action name="Execute">
          <command>systemctl hibernate</command>
        </action>
      </item>
      <item label="shutdown">
        <action name="Execute">
          <execute>shutdown -h now</execute>
          <prompt>Are you sure you want to shutdown?</prompt>
        </action>
      </item>
      <item label="restart">
        <action name="Execute">
          <execute>shutdown -r now</execute>
          <prompt>Are you sure you want to reboot the system?</prompt>
        </action>
      </item>
    </menu>
  </menu>
</openbox_menu>
